#ifndef VARRESTRICTION_H_
#define VARRESTRICTION_H_


#include "BezierRestriction.h"


class VarRestriction
{
	
	
	
public:
	
	/*
	 * Number of indices
	 */
	int size;
	
	
	/*
	 * Indices of variables
	 */	
	int* varId;
	
	
	/*
	 * 1D Matrix with the coefficients of the restriction
	 */
	Matrix* coefs;

	
	
	
	
public:
	
	static VarRestriction* fromBezierRestriction(BezierRestriction *bR);
	
	
	VarRestriction();
	virtual ~VarRestriction();
};

#endif /*VARRESTRICTION_H_*/
